summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGordian Edenhofer2015-12-13 15:33:03 +0100
committerGordian Edenhofer2015-12-13 15:33:03 +0100
commit3df87da3dff2578bfcf991ea05e7098cdf29fef5 (patch)
tree6e4b54f4685777adc44c79f5ea06a5770886211c
parent07aa8551865cd8e4f415c9db788fb8091c2f53d6 (diff)
downloadaur-3df87da3dff2578bfcf991ea05e7098cdf29fef5.tar.gz
Indentation: Use tabs everywhere
-rw-r--r--PKGBUILD114
-rw-r--r--slurm-llnl.install98
2 files changed, 106 insertions, 106 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 622d11d3991..7b06c372b44 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -11,81 +11,81 @@ url="http://www.schedmd.com"
license=('GPL')
depends=('munge')
optdepends=("hwloc: enables the task/cgroup plugin"
- "lua: the lua API will be available in various plugins"
- "libmariadbclient: support for accounting"
- "postgresql-libs: support for PostgreSQL"
- "hdf5: support for acct_gather_profile/hdf5 job profiling"
- "blcr: support for the checkpoint/blcr plugin"
- "openssl: support for the crypto/openssl CryptoType plugin"
- "pam: PAM support"
- "readline: Readline support in scontrol and sacctmgr's interactive modes"
- "libibmad: support for the acct_gather_infiniband/ofed InfiniBand accounting plugin"
- "libibumad: support for the acct_gather_infiniband/ofed InfiniBand accounting plugin"
- "man2html: HTML versions of the man pages will be generated"
- "rrdtool: support for the ext_sensors/rrd plugin"
- "numactl: NUMA support in the task/affinity plugin"
- "ncurses: adds the smap command "
- "gtk2: enables the sview command, a simple graphical frontend")
+ "lua: the lua API will be available in various plugins"
+ "libmariadbclient: support for accounting"
+ "postgresql-libs: support for PostgreSQL"
+ "hdf5: support for acct_gather_profile/hdf5 job profiling"
+ "blcr: support for the checkpoint/blcr plugin"
+ "openssl: support for the crypto/openssl CryptoType plugin"
+ "pam: PAM support"
+ "readline: Readline support in scontrol and sacctmgr's interactive modes"
+ "libibmad: support for the acct_gather_infiniband/ofed InfiniBand accounting plugin"
+ "libibumad: support for the acct_gather_infiniband/ofed InfiniBand accounting plugin"
+ "man2html: HTML versions of the man pages will be generated"
+ "rrdtool: support for the ext_sensors/rrd plugin"
+ "numactl: NUMA support in the task/affinity plugin"
+ "ncurses: adds the smap command "
+ "gtk2: enables the sview command, a simple graphical frontend")
makedepends=('python')
conflicts=('slurm-llnl-dev' 'slurm-llnl-git')
install=${pkgname}.install
source=("slurm-tmpfiles.conf"
- "slurm-llnl-default-conf"
- "slurmctld.service"
- "slurmd.service"
- "slurmdbd.service"
- "http://www.schedmd.com/download/total/slurm-${pkgver}.tar.bz2")
+ "slurm-llnl-default-conf"
+ "slurmctld.service"
+ "slurmd.service"
+ "slurmdbd.service"
+ "http://www.schedmd.com/download/total/slurm-${pkgver}.tar.bz2")
md5sums=('51e4ae2c51edf7c145d1b87bec4c344e'
- 'cae664b8ef44d01783dade9088e25b53'
- '31899d7a4caaa7bdb8b987afae191b56'
- '72a4cddcef47bdc989d49d02ee698e55'
- 'cd89bfa37d6b3108fc17c531a27183a0'
- '0af087d460046e3b5b4fddf83129a943')
+ 'cae664b8ef44d01783dade9088e25b53'
+ '31899d7a4caaa7bdb8b987afae191b56'
+ '72a4cddcef47bdc989d49d02ee698e55'
+ 'cd89bfa37d6b3108fc17c531a27183a0'
+ '0af087d460046e3b5b4fddf83129a943')
build() {
- cd "${srcdir}/slurm-${pkgver}"
+ cd "${srcdir}/slurm-${pkgver}"
- # If required libraries or header files are in non-standard locations,
- # set CFLAGS and LDFLAGS environment variables accordingly.
- # Optional Slurm plugins will be built automatically when the configure script
- # detects that the required build requirements are present.
- #
- # Read http://slurm.schedmd.com/quickstart_admin.html for more information
+ # If required libraries or header files are in non-standard locations,
+ # set CFLAGS and LDFLAGS environment variables accordingly.
+ # Optional Slurm plugins will be built automatically when the configure script
+ # detects that the required build requirements are present.
+ #
+ # Read http://slurm.schedmd.com/quickstart_admin.html for more information
- ./configure \
- --prefix=/usr \
- --sbindir=/usr/bin \
- --sysconfdir=/etc/slurm-llnl \
- --localstatedir=/var
+ ./configure \
+ --prefix=/usr \
+ --sbindir=/usr/bin \
+ --sysconfdir=/etc/slurm-llnl \
+ --localstatedir=/var
- make
+ make
}
package() {
- cd "${srcdir}/slurm-${pkgver}"
+ cd "${srcdir}/slurm-${pkgver}"
- make DESTDIR="${pkgdir}" install
+ make DESTDIR="${pkgdir}" install
- # slurm configs and license
- install -D -m644 etc/slurm.conf.example "${pkgdir}/etc/slurm-llnl/slurm.conf.example"
- install -D -m644 etc/slurmdbd.conf.example "${pkgdir}/etc/slurm-llnl/slurmdbd.conf.example"
- install -D -m644 LICENSE.OpenSSL "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.OpenSSL"
- install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"
+ # slurm configs and license
+ install -D -m644 etc/slurm.conf.example "${pkgdir}/etc/slurm-llnl/slurm.conf.example"
+ install -D -m644 etc/slurmdbd.conf.example "${pkgdir}/etc/slurm-llnl/slurmdbd.conf.example"
+ install -D -m644 LICENSE.OpenSSL "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.OpenSSL"
+ install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"
- install -D -m644 ../slurm-llnl-default-conf "${pkgdir}/etc/default/slurm-llnl"
+ install -D -m644 ../slurm-llnl-default-conf "${pkgdir}/etc/default/slurm-llnl"
- # init related install
- install -D -m755 etc/init.d.slurm "${pkgdir}/etc/rc.d/slurm"
- install -D -m755 etc/init.d.slurmdbd "${pkgdir}/etc/rc.d/slurmdbd"
+ # init related install
+ install -D -m755 etc/init.d.slurm "${pkgdir}/etc/rc.d/slurm"
+ install -D -m755 etc/init.d.slurmdbd "${pkgdir}/etc/rc.d/slurmdbd"
- # SystemD related install
- install -D -m644 ../slurmctld.service "${pkgdir}/usr/lib/systemd/system/slurmctld.service"
- install -D -m644 ../slurmd.service "${pkgdir}/usr/lib/systemd/system/slurmd.service"
- install -D -m644 ../slurmdbd.service "${pkgdir}/usr/lib/systemd/system/slurmdbd.service"
- install -D -m644 ../slurm-tmpfiles.conf "${pkgdir}/etc/tmpfiles.d/slurm-tmpfiles.conf"
+ # SystemD related install
+ install -D -m644 ../slurmctld.service "${pkgdir}/usr/lib/systemd/system/slurmctld.service"
+ install -D -m644 ../slurmd.service "${pkgdir}/usr/lib/systemd/system/slurmd.service"
+ install -D -m644 ../slurmdbd.service "${pkgdir}/usr/lib/systemd/system/slurmdbd.service"
+ install -D -m644 ../slurm-tmpfiles.conf "${pkgdir}/etc/tmpfiles.d/slurm-tmpfiles.conf"
- # creating a log and a lib dir
- install -d -m755 "${pkgdir}/var/log/slurm-llnl"
- install -d -m755 "${pkgdir}/var/lib/slurm-llnl"
+ # creating a log and a lib dir
+ install -d -m755 "${pkgdir}/var/log/slurm-llnl"
+ install -d -m755 "${pkgdir}/var/lib/slurm-llnl"
}
diff --git a/slurm-llnl.install b/slurm-llnl.install
index a7b47458a4e..37113dc6c42 100644
--- a/slurm-llnl.install
+++ b/slurm-llnl.install
@@ -1,73 +1,73 @@
## arg 1: the new package version
post_install() {
- id slurm >&/dev/null
- if [ $? -ne 0 ]; then
- echo -e "\e[34;1m==>\e[39;1m Adding slurm system group... \e[0m"
- groupadd -g 64030 -r slurm
- [ $? -ne 0 ] && groupadd -r slurm
+ id slurm >&/dev/null
+ if [ $? -ne 0 ]; then
+ echo -e "\e[34;1m==>\e[39;1m Adding slurm system group... \e[0m"
+ groupadd -g 64030 -r slurm
+ [ $? -ne 0 ] && groupadd -r slurm
- echo -e "\e[34;1m==>\e[39;1m Adding slurm system user... \e[0m"
- useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm -u 64030 slurm
- [ $? -ne 0 ] && useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm slurm
+ echo -e "\e[34;1m==>\e[39;1m Adding slurm system user... \e[0m"
+ useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm -u 64030 slurm
+ [ $? -ne 0 ] && useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm slurm
- echo -e "\e[34;1m==>\e[39;1m Locking Slurm User Account...\e[0m"
- passwd -l slurm &>/dev/null
- fi
+ echo -e "\e[34;1m==>\e[39;1m Locking Slurm User Account...\e[0m"
+ passwd -l slurm &>/dev/null
+ fi
- # securing the log dir
- if [ -d /var/log/slurm-llnl ]; then
- chown -R slurm:slurm /var/log/slurm-llnl
- fi
+ # securing the log dir
+ if [ -d /var/log/slurm-llnl ]; then
+ chown -R slurm:slurm /var/log/slurm-llnl
+ fi
- echo -e "\e[34;1m==>\e[39;1m NOTE: You have to create a slurm configuration-file in /etc/slurm-llnl/ \e[0m"
- echo -e "\e[34;1m==>\e[39;1m prior to starting any slurm daemons. \e[0m"
- echo -e "\e[34;1m==>\e[39;1m NOTE: In order for new optional dependencies to be taken into account \e[0m"
- echo -e "\e[34;1m==>\e[39;1m slurm-llnl has to be recompiled. \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m NOTE: You have to create a slurm configuration-file in /etc/slurm-llnl/ \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m prior to starting any slurm daemons. \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m NOTE: In order for new optional dependencies to be taken into account \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m slurm-llnl has to be recompiled. \e[0m"
}
## arg 1: the new package version
## arg 2: the old package version
post_upgrade() {
- echo -e "\e[34;1m==>\e[39;1m NOTE: In order for new optional dependencies to be taken into account \e[0m"
- echo -e "\e[34;1m==>\e[39;1m slurm-llnl has to be recompiled. \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m NOTE: In order for new optional dependencies to be taken into account \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m slurm-llnl has to be recompiled. \e[0m"
- # THIS HAS TO BE REMOVED ONEDAY - TODO
- if [ -f /etc/slurm/slurm.conf ]; then
- mv /etc/slurm/* /etc/slurm-llnl/
- rmdir /etc/slurm
- echo -e "\e[34;1m==>\e[39;1m Your configuration-files were moved from /etc/slurm to /etc/slurm-llnl ! \e[0m"
- fi
+ # THIS HAS TO BE REMOVED ONEDAY - TODO
+ if [ -f /etc/slurm/slurm.conf ]; then
+ mv /etc/slurm/* /etc/slurm-llnl/
+ rmdir /etc/slurm
+ echo -e "\e[34;1m==>\e[39;1m Your configuration-files were moved from /etc/slurm to /etc/slurm-llnl ! \e[0m"
+ fi
}
## arg 1: the old package version
pre_remove() {
- which systemctl >& /dev/null
- if [ $? -eq 0 ]; then
- echo -e "\e[34;1m==>\e[39;1m Stopping slurm daemons through SystemD... \e[0m"
- systemctl stop slurmd.service
- systemctl stop slurmdbd.service
- systemctl stop slurmctld.service
+ which systemctl >& /dev/null
+ if [ $? -eq 0 ]; then
+ echo -e "\e[34;1m==>\e[39;1m Stopping slurm daemons through SystemD... \e[0m"
+ systemctl stop slurmd.service
+ systemctl stop slurmdbd.service
+ systemctl stop slurmctld.service
- echo -e "\e[34;1m==>\e[39;1m Disabling SystemD related file(s)... \e[0m"
- systemctl disable slurmd.service
- systemctl disable slurmdbd.service
- systemctl disable slurmctld.service
- else
- echo -e "\e[34;1m==>\e[39;1m Stopping slurm daemons... \e[0m"
- /etc/rc.d/slurm stop
- /etc/rc.d/slurmdbd stop
- fi
+ echo -e "\e[34;1m==>\e[39;1m Disabling SystemD related file(s)... \e[0m"
+ systemctl disable slurmd.service
+ systemctl disable slurmdbd.service
+ systemctl disable slurmctld.service
+ else
+ echo -e "\e[34;1m==>\e[39;1m Stopping slurm daemons... \e[0m"
+ /etc/rc.d/slurm stop
+ /etc/rc.d/slurmdbd stop
+ fi
}
## arg 1: the old package version
post_remove() {
- echo -e "\e[34;1m==>\e[39;1m Removing slurm system user/group... \e[0m"
- userdel slurm
+ echo -e "\e[34;1m==>\e[39;1m Removing slurm system user/group... \e[0m"
+ userdel slurm
- # deleting remnant recusivly (there shell be now links!)
- rm -rf /var/lib/slurm-llnl
+ # deleting remnant recusivly (there shell be now links!)
+ rm -rf /var/lib/slurm-llnl
- # notifying the user of kept dirs
- [ -d /etc/slurm-llnl ] && echo -e "\e[34;1m==>\e[39;1m NOTE: Custom configuration-file(s) in /etc/slurm-llnl/ were kept on your system.\e[0m"
- [ -d /var/log/slurm-llnl ] && echo -e "\e[34;1m==>\e[39;1m NOTE: Logfiles were preserved. They reside under /var/log/slurm-llnl .\e[0m"
+ # notifying the user of kept dirs
+ [ -d /etc/slurm-llnl ] && echo -e "\e[34;1m==>\e[39;1m NOTE: Custom configuration-file(s) in /etc/slurm-llnl/ were kept on your system.\e[0m"
+ [ -d /var/log/slurm-llnl ] && echo -e "\e[34;1m==>\e[39;1m NOTE: Logfiles were preserved. They reside under /var/log/slurm-llnl .\e[0m"
}